Urgency wrong for task with closed sub-tasks

Bug #1258451 reported by Tim Waugh on 2013-12-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Getting Things GNOME!
Low
Unassigned

Bug Description

The calculated "urgent" due date for a task, i.e. the quantity used for sorting the "Due" column, is wrong for a task with closed sub-tasks.

Take these tasks:

* Task1 due:2013-12-17
   \
    '--Subtask1 due:2013-12-05 closed:2013-12-01

* Task2 due:2013-12-07

When the task browser shows these tasks, sorted as "Due ^", Task1 is shown at the top (with due description "in 11 days") before Task2 (with due description "tomorrow").

This is because get_urgent_date() for Task1 is returning 2013-12-05, even though that task has already been closed.

I suggest ignoring closed sub-tasks for calculating the urgent date for a task and its sub-tasks.

Related branches

Tim Waugh (twaugh) wrote :

This fix works for me.

tags: added: love
Changed in gtg:
assignee: nobody → Shikha Chowdhary (shikhachowdhary28)
Nimit Shah (nimit-svnit) on 2014-02-11
Changed in gtg:
status: New → In Progress

Fix comitted in rev 1346.

Changed in gtg:
status: In Progress → Fix Committed
Changed in gtg:
status: Fix Committed → In Progress
milestone: none → 0.3.2
importance: Undecided → Low

Ok.And I am really very sorry.I should have asked you.I will keep this in
mind :)

On Fri, Feb 14, 2014 at 1:08 PM, Parin Porecha <email address hidden>wrote:

> ** Branch linked: lp:~shikhachowdhary28/gtg/Bug1258451
>
> ** Changed in: gtg
> Status: Fix Committed => In Progress
>
> ** Changed in: gtg
> Milestone: None => 0.3.2
>
> ** Changed in: gtg
> Importance: Undecided => Low
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1258451
>
> Title:
> Urgency wrong for task with closed sub-tasks
>
> Status in Getting Things GNOME!:
> In Progress
>
> Bug description:
> The calculated "urgent" due date for a task, i.e. the quantity used
> for sorting the "Due" column, is wrong for a task with closed sub-
> tasks.
>
> Take these tasks:
>
> * Task1 due:2013-12-17
> \
> '--Subtask1 due:2013-12-05 closed:2013-12-01
>
> * Task2 due:2013-12-07
>
> When the task browser shows these tasks, sorted as "Due ^", Task1 is
> shown at the top (with due description "in 11 days") before Task2
> (with due description "tomorrow").
>
> This is because get_urgent_date() for Task1 is returning 2013-12-05,
> even though that task has already been closed.
>
> I suggest ignoring closed sub-tasks for calculating the urgent date
> for a task and its sub-tasks.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gtg/+bug/1258451/+subscriptions
>

Parin Porecha (parinporecha) wrote :

nothing to worry about, its alright :-)

On Fri, Feb 14, 2014 at 1:11 PM, Parin Porecha <email address hidden>wrote:

> Shikha, your merge is pending a review.
> When your branch is merged, then you can change the status to 'Fix
> Committed' and the revision no. will be of the trunk with which it has been
> merged.
>
> So, I'm going to change the status to 'In progress', okay ?
> :-)
>
>
> On Fri, Feb 14, 2014 at 12:53 PM, Shikha Chowdhary <
> <email address hidden>> wrote:
>
>> Fix comitted in rev 1346.
>>
>> ** Changed in: gtg
>> Status: In Progress => Fix Committed
>>
>> --
>> You received this bug notification because you are subscribed to Getting
>> Things GNOME!.
>> Matching subscriptions: Bugs
>> https://bugs.launchpad.net/bugs/1258451
>>
>> Title:
>> Urgency wrong for task with closed sub-tasks
>>
>> Status in Getting Things GNOME!:
>> Fix Committed
>>
>> Bug description:
>> The calculated "urgent" due date for a task, i.e. the quantity used
>> for sorting the "Due" column, is wrong for a task with closed sub-
>> tasks.
>>
>> Take these tasks:
>>
>> * Task1 due:2013-12-17
>> \
>> '--Subtask1 due:2013-12-05 closed:2013-12-01
>>
>> * Task2 due:2013-12-07
>>
>> When the task browser shows these tasks, sorted as "Due ^", Task1 is
>> shown at the top (with due description "in 11 days") before Task2
>> (with due description "tomorrow").
>>
>> This is because get_urgent_date() for Task1 is returning 2013-12-05,
>> even though that task has already been closed.
>>
>> I suggest ignoring closed sub-tasks for calculating the urgent date
>> for a task and its sub-tasks.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/gtg/+bug/1258451/+subscriptions
>>
>
>
>
> --
> Regards,
> Parin Porecha
>

--
Regards,
Parin Porecha

Nimit Shah (nimit-svnit) on 2014-03-10
Changed in gtg:
assignee: Shikha Chowdhary (shikhachowdhary28) → nobody
status: In Progress → Confirmed
status: Confirmed → In Progress
assignee: nobody → Shikha Chowdhary (shikhachowdhary28)
Izidor Matušov (izidor) wrote :
Changed in gtg:
assignee: Shikha Chowdhary (shikhachowdhary28) → nobody
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers